Get shipment method details
GET https://delivery-api.paysera.com/rest/v1/methods/{id}
Fetch specific shipment method details by ID.
Authorization​
This endpoint requires MAC (Message Authentication Code) authentication.
Authorization Header Format:
Authorization: MAC id="YOUR_PROJECT_ID",ts="1234567890",nonce="xyz123",mac="GENERATED_MAC_HASH"
Example:
Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"
For more details, please refer to the Authentication section.
Parameters​
Path Parameters​
| Name | Type | Required | Description |
|---|---|---|---|
id | integer | ✓ | Method identifier |
Example​
Request​
GET https://delivery-api.paysera.com/rest/v1/methods/{id}
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"
Response​
{
"id": 1,
"code": "courier2courier",
"name": "Courier to Courier",
"description": "Door-to-door delivery service"
}
AUTHORIZATION: HTTP
REQUEST
Base URL
https://delivery-api.paysera.com
RESPONSE
Method details retrieved successfully
{
"id": 1,
"code": "courier2courier",
"name": "Courier to Courier",
"description": "Door-to-door delivery service"
}